Get list of actions

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

Preview Status

All Rule Engine actions are currently in PREVIEW phase. When creating actions:

  • Monitor action execution results
  • Review scheduled actions regularly
  • Report any issues encountered to our support team

This endpoint allows you to retrieve a list of actions that have been scheduled in the Rule Engine. You can use filters to narrow down the results and find specific actions based on your requirements.

Key Features

  • Retrieve all scheduled actions
  • Filter actions by entity id (subscription handle), type, state
  • Paginated results with configurable page size

Query Parameters

ParameterTypeDescriptionExample
sizeintegerPage size between 10 and 100. Default: 2010
next_page_tokenstringNext page token from previous response to get next pageMTYzMjkxNDc4NTAwMDoxMA
idstringID of the action to filter byact-1234567890
entity_idstringID of the entity that the actions is associated withsub-1234567890
typestringType of the action to filter bypause_subscription
statestringState of the action to filter bynew, success, failure, retrying, nothing_to_do

Response

The response contains a paginated list of actions with metadata:

{
  "size": 20,
  "count": 15,
  "content": [
    {
      "id": "action-1234567890",
      "state": "new",
      "created": "2021-09-01T12:00:00Z",
      "details": {
        // Action-specific details
      },
      "action": "add_addon_to_subscription",
      "schedule": {
        "execution_date": "2023-12-01T10:00:00Z"
      },
      "entity_id": "sub-0001",
      "entity_type": "subscription"
    }
    // ... more actions
  ],
  "next_page_token": "MTYzMjkxNDc4NTAwMDoxMA"
}

Response Fields

FieldTypeDescription
sizeintegerPage size used in paginated list
countintegerNumber of elements in current page. If less than page size, it's the last page
tostringLocal date and time range used as to (exclusive)
fromstringLocal date and time range used as from (inclusive)
contentarrayList of actions for current page
next_page_tokenstringPagination token for next page. If not present, last page has been reached

Example Usage

Get All Actions

curl -X GET "https://rule-engine-api.frisbii.com/v1/action" \
  -H "Authorization: Basic <base64-encoded-credentials>"

Filter by Subscription

curl -X GET "https://rule-engine-api.frisbii.com/v1/action?entity_id=sub-1234567890" \
  -H "Authorization: Basic <base64-encoded-credentials>"

Filter by Action Type and State

curl -X GET "https://rule-engine-api.frisbii.com/v1/action?type=pause_subscription&state=new" \
  -H "Authorization: Basic <base64-encoded-credentials>"

Related Endpoints

Query Params
string

Time range from (inclusive). Local date and time (according to account timezone) on the form yyyy-MM-dd, yyyyMMdd, yyyy-MM-ddTHH:mm, yyyy-MM-ddTHH:mm:ss or yyyy-MM-ddTHH:mm:ss.SSS. Default from if no interval is given depends on the query. If the query limits on relation e.g. customer and/or subscription, the default from will be epoch 1970-01-01, otherwise one month before to

string

Time range to (exclusive). Local date and time (according to account timezone) on the form yyyy-MM-dd, yyyyMMdd, yyyy-MM-ddTHH:mm, yyyy-MM-ddTHH:mm:ss or yyyy-MM-ddTHH:mm:ss.SSS. Defaults to now.

string

Limit from to and interval back in time. E.g. one week. Will take precedence over from. Defined in ISO 8601 duration. See https://en.wikipedia.org/wiki/ISO_8601#Durations

int32
10 to 100
Defaults to 20

Page size between 10 and 100 (default 20)

string

Next page token from previous response to get next page

string

ID of the action

string

ID of the entity that the actions is associated with

string

Type of the action

string

Type of the action

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json